#include <stdio.h>

#define MAXLINE 1000 /* maximum line length */


int max;
char line[MAXLINE]; /* current input line */
char longest[MAXLINE]; /* stored maximum length line */

int getline(void);
void copy(void);

/* print the longest line, special version */

int main()
{
  int len;  /* length of current line */
  extern int max;
  extern char longest[MAXLINE];
  
  max = 0;
  while((len = getline()) > 0)
    if(len>max) {
      max = len;
      copy();
    }
    
  if(max > 0) /* line found */
    printf("%s",longest);
  return 0;
}

/* getline: special version*/

int getline(void)
{
  int c,i;
  extern char line[];

  for(i=0; i < MAXLINE-1 && (c=getchar())!=EOF && c!='\n'; ++i)
    line[i]=c;
  if (c == '\n') {
    line[i] = c;
    ++i;
  }
  line[i] = '\0';
  return i;  
}

/* copy: special version */
void copy(void)
{
  int i;
  extern char line[], longest[];
  
  i = 0;
  while((longest[i] = line[i]) != '\0')
    ++i;
}
